Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228394

Summary: multi-lib conflicts
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: xemacsAssignee: Ville Skyttä <ville.skytta>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-02 18:09:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 213321    

Description Michael Schwendt 2007-02-12 20:41:29 UTC
xemacs-common - 21.5.27-8.fc7.x86_64
  Conflicts: 270
  File conflict in:
     /usr/share/xemacs-21.5-b27/lisp/compat.elc
     /usr/share/xemacs-21.5-b27/lisp/easy-mmode.elc
     /usr/share/xemacs-21.5-b27/lisp/msw-select.elc
     /usr/share/xemacs-21.5-b27/lisp/cl-extra.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-extra.elc
     /usr/share/xemacs-21.5-b27/lisp/paragraphs.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/thai-util.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/english.elc
     /usr/share/xemacs-21.5-b27/lisp/loadhist.elc
     /usr/share/xemacs-21.5-b27/lisp/cus-edit.elc
     /usr/share/xemacs-21.5-b27/lisp/lisp-mode.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-iso8859-1.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-composite-stub.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-ffi.elc
     /usr/share/xemacs-21.5-b27/lisp/dialog-gtk.elc
     /usr/share/xemacs-21.5-b27/lisp/cl.elc
     /usr/share/xemacs-21.5-b27/lisp/wid-browse.elc
     /usr/share/xemacs-21.5-b27/lisp/x-faces.elc
     /usr/share/xemacs-21.5-b27/lisp/mwheel.elc
     /usr/share/xemacs-21.5-b27/lisp/packages.elc
     /usr/share/xemacs-21.5-b27/lisp/raw-process.elc
     /usr/share/xemacs-21.5-b27/lisp/multicast.elc
     /usr/share/xemacs-21.5-b27/lisp/modeline.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt201.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt300.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/thai.elc
     /usr/share/xemacs-21.5-b27/lisp/sound.elc
     /usr/share/xemacs-21.5-b27/lisp/finder-inf.elc
     /usr/share/xemacs-21.5-b27/lisp/help.elc
     /usr/share/xemacs-21.5-b27/lisp/gpm.elc
     /usr/share/xemacs-21.5-b27/lisp/cl-macs.elc
     /usr/share/xemacs-21.5-b27/lisp/code-cmds.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-tty-init.elc
     /usr/share/xemacs-21.5-b27/lisp/gutter.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-widget-accessors.elc
     /usr/share/xemacs-21.5-b27/lisp/setup-paths.elc
     /usr/share/xemacs-21.5-b27/lisp/indent.elc
     /usr/share/xemacs-21.5-b27/lisp/x-iso8859-1.elc
     /usr/share/xemacs-21.5-b27/lisp/text-props.elc
     /usr/share/xemacs-21.5-b27/lisp/replace.elc
     /usr/share/xemacs-21.5-b27/lisp/fontconfig.elc
     /usr/share/xemacs-21.5-b27/lisp/find-paths.elc
     /usr/share/xemacs-21.5-b27/lisp/font-lock.elc
     /usr/share/xemacs-21.5-b27/lisp/movemail.elc
     /usr/share/xemacs-21.5-b27/lisp/term/apollo.elc
     /usr/share/xemacs-21.5-b27/lisp/x-init.elc
     /usr/share/xemacs-21.5-b27/lisp/minibuf.elc
     /usr/share/xemacs-21.5-b27/lisp/behavior-defs.elc
     /usr/share/xemacs-21.5-b27/lisp/disass.elc
     /usr/share/xemacs-21.5-b27/lisp/gnuserv.elc
     /usr/share/xemacs-21.5-b27/lisp/events.elc
     /usr/share/xemacs-21.5-b27/lisp/gnome.elc
     /usr/share/xemacs-21.5-b27/lisp/byte-optimize.elc
     /usr/share/xemacs-21.5-b27/lisp/blessmail.elc
     /usr/share/xemacs-21.5-b27/lisp/font.elc
     /usr/share/xemacs-21.5-b27/lisp/register.elc
     /usr/share/xemacs-21.5-b27/lisp/cus-file.elc
     /usr/share/xemacs-21.5-b27/lisp/itimer-autosave.elc
     /usr/share/xemacs-21.5-b27/lisp/custom-load.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-cmds.elc
     /usr/share/xemacs-21.5-b27/lisp/x-win-xfree86.elc
     /usr/share/xemacs-21.5-b27/lisp/device.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-package.elc
     /usr/share/xemacs-21.5-b27/lisp/ldap.elc
     /usr/share/xemacs-21.5-b27/lisp/bytecomp-runtime.elc
     /usr/share/xemacs-21.5-b27/lisp/term/AT386.elc
     /usr/share/xemacs-21.5-b27/lisp/widgets-gtk.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt100.elc
     /usr/share/xemacs-21.5-b27/lisp/bytecomp.elc
     /usr/share/xemacs-21.5-b27/lisp/misc.elc
     /usr/share/xemacs-21.5-b27/lisp/frame.elc
     /usr/share/xemacs-21.5-b27/lisp/window.elc
     /usr/share/xemacs-21.5-b27/lisp/symbols.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-msw-init-late.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/viet-util.elc
     /usr/share/xemacs-21.5-b27/lisp/msw-font-menu.elc
     /usr/share/xemacs-21.5-b27/lisp/package-net.elc
     /usr/share/xemacs-21.5-b27/lisp/msw-glyphs.elc
     /usr/share/xemacs-21.5-b27/lisp/format.elc
     /usr/share/xemacs-21.5-b27/lisp/wid-edit.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/china-util.elc
     /usr/share/xemacs-21.5-b27/lisp/build-report.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-mouse.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/tibet-util.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt240.elc
     /usr/share/xemacs-21.5-b27/lisp/keymap.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/japanese.elc
     /usr/share/xemacs-21.5-b27/lisp/x-win-sun.elc
     /usr/share/xemacs-21.5-b27/lisp/iso8859-1.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-font-menu.elc
     /usr/share/xemacs-21.5-b27/lisp/custom.elc
     /usr/share/xemacs-21.5-b27/lisp/unicode.elc
     /usr/share/xemacs-21.5-b27/lisp/process.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-ccl.elc
     /usr/share/xemacs-21.5-b27/lisp/gnome-widgets.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt320.elc
     /usr/share/xemacs-21.5-b27/lisp/view-less.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-charset.elc
     /usr/share/xemacs-21.5-b27/lisp/term/xterm.elc
     /usr/share/xemacs-21.5-b27/lisp/hash-table.elc
     /usr/share/xemacs-21.5-b27/lisp/config.elc
     /usr/share/xemacs-21.5-b27/lisp/subr.elc
     /usr/share/xemacs-21.5-b27/lisp/msw-faces.elc
     /usr/share/xemacs-21.5-b27/lisp/menubar.elc
     /usr/share/xemacs-21.5-b27/lisp/gdk.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/latin.elc
     /usr/share/xemacs-21.5-b27/lisp/callers-of-rpt.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/arabic.elc
     /usr/share/xemacs-21.5-b27/lisp/text-mode.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/korean.elc
     /usr/share/xemacs-21.5-b27/lisp/toolbar.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-file-dialog.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-compose.elc
     /usr/share/xemacs-21.5-b27/lisp/autoload.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/greek.elc
     /usr/share/xemacs-21.5-b27/lisp/next-error.elc
     /usr/share/xemacs-21.5-b27/lisp/post-gc.elc
     /usr/share/xemacs-21.5-b27/lisp/x-mouse.elc
     /usr/share/xemacs-21.5-b27/lisp/about.elc
     /usr/share/xemacs-21.5-b27/lisp/term/tvi970.elc
     /usr/share/xemacs-21.5-b27/lisp/disp-table.elc
     /usr/share/xemacs-21.5-b27/lisp/float-sup.elc
     /usr/share/xemacs-21.5-b27/lisp/x-font-menu.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-select.elc
     /usr/share/xemacs-21.5-b27/lisp/startup.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk.elc
     /usr/share/xemacs-21.5-b27/lisp/menubar-items.elc
     /usr/share/xemacs-21.5-b27/lisp/term/sup-mouse.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/canna-leim.elc
     /usr/share/xemacs-21.5-b27/lisp/term/keyswap.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-win32-init.elc
     /usr/share/xemacs-21.5-b27/lisp/x-misc.elc
     /usr/share/xemacs-21.5-b27/lisp/hyper-apropos.elc
     /usr/share/xemacs-21.5-b27/lisp/printer.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/cyrillic.elc
     /usr/share/xemacs-21.5-b27/lisp/specifier.elc
     /usr/share/xemacs-21.5-b27/lisp/itimer.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/chinese.elc
     /usr/share/xemacs-21.5-b27/lisp/x-scrollbar.elc
     /usr/share/xemacs-21.5-b27/lisp/cus-dep.elc
     /usr/share/xemacs-21.5-b27/lisp/mouse.elc
     /usr/share/xemacs-21.5-b27/lisp/package-ui.elc
     /usr/share/xemacs-21.5-b27/lisp/rect.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt220.elc
     /usr/share/xemacs-21.5-b27/lisp/cl-compat.elc
     /usr/share/xemacs-21.5-b27/lisp/simple.elc
     /usr/share/xemacs-21.5-b27/lisp/lisp.elc
     /usr/share/xemacs-21.5-b27/lisp/syntax.elc
     /usr/share/xemacs-21.5-b27/lisp/lisp-mnt.elc
     /usr/share/xemacs-21.5-b27/lisp/x-compose.elc
     /usr/share/xemacs-21.5-b27/lisp/code-process.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/lao.elc
     /usr/share/xemacs-21.5-b27/lisp/term/cygwin.elc
     /usr/share/xemacs-21.5-b27/lisp/behavior.elc
     /usr/share/xemacs-21.5-b27/lisp/fontl-hooks.elc
     /usr/share/xemacs-21.5-b27/lisp/list-mode.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/devan-util.elc
     /usr/share/xemacs-21.5-b27/lisp/term/wyse50.elc
     /usr/share/xemacs-21.5-b27/lisp/msw-init.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/vietnamese.elc
     /usr/share/xemacs-21.5-b27/lisp/keydefs.elc
     /usr/share/xemacs-21.5-b27/lisp/obsolete.elc
     /usr/share/xemacs-21.5-b27/lisp/mode-motion.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt-control.elc
     /usr/share/xemacs-21.5-b27/lisp/easymenu.elc
     /usr/share/xemacs-21.5-b27/lisp/gui.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/misc-lang.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/lao-util.elc
     /usr/share/xemacs-21.5-b27/lisp/toolbar-items.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/ethiopic.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt420.elc
     /usr/share/xemacs-21.5-b27/lisp/dialog.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-password-dialog.elc
     /usr/share/xemacs-21.5-b27/lisp/finder.elc
     /usr/share/xemacs-21.5-b27/lisp/glade.elc
     /usr/share/xemacs-21.5-b27/lisp/resize-minibuffer.elc
     /usr/share/xemacs-21.5-b27/lisp/code-init.elc
     /usr/share/xemacs-21.5-b27/lisp/cus-load.elc
     /usr/share/xemacs-21.5-b27/lisp/buffer.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/thai-xtis.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/custom-load.elc
     /usr/share/xemacs-21.5-b27/lisp/lib-complete.elc
     /usr/share/xemacs-21.5-b27/lisp/backquote.elc
     /usr/share/xemacs-21.5-b27/lisp/window-xemacs.elc
     /usr/share/xemacs-21.5-b27/lisp/term/news.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/kinsoku.elc
     /usr/share/xemacs-21.5-b27/lisp/check-features.elc
     /usr/share/xemacs-21.5-b27/lisp/buff-menu.elc
     /usr/share/xemacs-21.5-b27/lisp/term/linux.elc
     /usr/share/xemacs-21.5-b27/lisp/apropos.elc
     /usr/share/xemacs-21.5-b27/lisp/cmdloop.elc
     /usr/share/xemacs-21.5-b27/lisp/term/scoansi.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/ethio-util.elc
     /usr/share/xemacs-21.5-b27/lisp/userlock.elc
     /usr/share/xemacs-21.5-b27/lisp/abbrev.elc
     /usr/share/xemacs-21.5-b27/lisp/undo-stack.elc
     /usr/share/xemacs-21.5-b27/lisp/derived.elc
     /usr/share/xemacs-21.5-b27/lisp/dialog-items.elc
     /usr/share/xemacs-21.5-b27/lisp/extents.elc
     /usr/share/xemacs-21.5-b27/lisp/code-files.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/european.elc
     /usr/share/xemacs-21.5-b27/lisp/isearch-mode.elc
     /usr/share/xemacs-21.5-b27/lisp/package-get.elc
     /usr/share/xemacs-21.5-b27/lisp/picture.elc
     /usr/share/xemacs-21.5-b27/lisp/term/bg-mouse.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/cyril-util.elc
     /usr/share/xemacs-21.5-b27/lisp/objects.elc
     /usr/share/xemacs-21.5-b27/lisp/map-ynp.elc
     /usr/share/xemacs-21.5-b27/lisp/info.elc
     /usr/share/xemacs-21.5-b27/lisp/auto-show.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-category.elc
     /usr/share/xemacs-21.5-b27/lisp/console.elc
     /usr/share/xemacs-21.5-b27/lisp/widget.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-marshal.elc
     /usr/share/xemacs-21.5-b27/lisp/term/lk201.elc
     /usr/share/xemacs-21.5-b27/lisp/alist.elc
     /usr/share/xemacs-21.5-b27/lisp/fill.elc
     /usr/share/xemacs-21.5-b27/lisp/help-macro.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-widgets.elc
     /usr/share/xemacs-21.5-b27/lisp/term/bobcat.elc
     /usr/share/xemacs-21.5-b27/lisp/gutter-items.elc
     /usr/share/xemacs-21.5-b27/lisp/shadow.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-composite.elc
     /usr/share/xemacs-21.5-b27/lisp/faces.elc
     /usr/share/xemacs-21.5-b27/lisp/auto-save.elc
     /usr/share/xemacs-21.5-b27/lisp/select.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/devanagari.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt125.elc
     /usr/share/xemacs-21.5-b27/lisp/package-info.elc
     /usr/share/xemacs-21.5-b27/lisp/package-admin.elc
     /usr/share/xemacs-21.5-b27/lisp/etags.elc
     /usr/share/xemacs-21.5-b27/lisp/msw-mouse.elc
     /usr/share/xemacs-21.5-b27/lisp/page.elc
     /usr/share/xemacs-21.5-b27/lisp/tty-init.elc
     /usr/share/xemacs-21.5-b27/lisp/occur.elc
     /usr/share/xemacs-21.5-b27/lisp/generic-widgets.elc
     /usr/share/xemacs-21.5-b27/lisp/loaddefs.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-glyphs.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt200.elc
     /usr/share/xemacs-21.5-b27/lisp/x-select.elc
     /usr/share/xemacs-21.5-b27/lisp/font-menu.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/korea-util.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/hebrew.elc
     /usr/share/xemacs-21.5-b27/lisp/dump-paths.elc
     /usr/share/xemacs-21.5-b27/lisp/cus-start.elc
     /usr/share/xemacs-21.5-b27/lisp/dragdrop.elc
     /usr/share/xemacs-21.5-b27/lisp/win32-native.elc
     /usr/share/xemacs-21.5-b27/lisp/regexp-opt.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/indian.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-coding.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt400.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/tibetan.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/auto-autoloads.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-faces.elc
     /usr/share/xemacs-21.5-b27/lisp/cl-seq.elc
     /usr/share/xemacs-21.5-b27/lisp/diagnose.elc
     /usr/share/xemacs-21.5-b27/lisp/coding.elc
     /usr/share/xemacs-21.5-b27/lisp/gtk-init.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/mule-x-init.elc
     /usr/share/xemacs-21.5-b27/lisp/auto-autoloads.elc
     /usr/share/xemacs-21.5-b27/lisp/scrollbar.elc
     /usr/share/xemacs-21.5-b27/lisp/font-mgr.elc
     /usr/share/xemacs-21.5-b27/lisp/newcomment.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt100-led.elc
     /usr/share/xemacs-21.5-b27/lisp/mule/japan-util.elc
     /usr/share/xemacs-21.5-b27/lisp/term/vt102.elc
     /usr/share/xemacs-21.5-b27/lisp/cus-face.elc
     /usr/share/xemacs-21.5-b27/lisp/files.elc
     /usr/share/xemacs-21.5-b27/lisp/glyphs.elc
     /usr/share/xemacs-21.5-b27/lisp/symbol-syntax.elc
  Packages with the same files:
     xemacs-common - 21.5.27-8.fc7.i386

As why xemacs-common for i386 is available on x86_64 anyway, needs
investigation and may require discussion on the relevant mailing-lists.
We certainly don't want all 32-bit apps in the x86_64 repo.

Comment 1 Ville Skyttä 2007-02-13 20:57:12 UTC
*.elc contain at least the following things in their first few lines which may
and do cause some of these conflicts: username running the build, build host
name, compilation timestamp, path containing the build root.  

(They're all in comments and unused so the build root one is not a big problem
apart from that it is a potential source for these conflicts.)

I suppose it wouldn't hurt to get the variable things away from the *.elc, but I
also think there's very little reason for the i386 xemacs(-common) to be in the
x86_64 repo in the first place.

Comment 2 Ville Skyttä 2007-02-14 21:36:57 UTC
Correction just for the record, no effects on the issue per se: the *.elc in
xemacs-common contain the dir where the *.el was when compiled to *.elc
($RPM_BUILD_DIR/xemacs-*/...), not build root ($RPM_BUILD_ROOT).

Comment 3 Ville Skyttä 2007-07-02 18:09:03 UTC
The only i386 xemacs package in x86_64 roots left is xemacs-devel for F7+.  I
don't know why it's there, that's perhaps another bug somewhere, but the i386
and x86_64 xemacs-devel don't seem to conflict.